Subject: [Tools-discuss] Fwd: [django-project] "bis" in HTTP"bis"

From: Robert Sparks <[email-masked]>
Date: Wed, 1 Sep 2021 11:54:12 -0500

Moving this to tools-discuss.

-------- Forwarded Message --------
Subject: 	[django-project] "bis" in HTTP"bis"
Date: 	Mon, 30 Aug 2021 22:39:29 +0000
From: 	Greg M <[email-masked]>
To: 	[email-masked] <[email-masked]>

Hi, those who read these specifications already know to expect detailed 
and dry documents, so presenting them right off the bat with an obscure 
term "bis" is not helpful. :-) A search on IETF shows no explanation of 
"bis" so you would do well to provide a note about "bis" meaning e.g. in 
the "About" page.

Example of public "bis" confusion:
http - HTTPbis - what does bis mean? - Stack Overflow 
<https://stackoverflow.com/questions/9105639/httpbis-what-does-bis-mean>

Thank You for the work that you do.

Greg McPherran
Siteware.org

---

From: Carsten Bormann <[email-masked]>
Date: Wed, 1 Sep 2021 22:43:36 +0200

Not sure this belongs on tools-discuss, but this is indeed an IETF idiosyncrasy that one needs to learn about.

If we are not talking about US export controls, “bis” is used in house numbering in Romance languages the same way DE or EN would use “a”.
So if you build a house between 3 and 4, it gets “3a" in Germany and "3 bis" in France.

In CCITT (now ITU-T) standards (“recommendations”), bis, ter, etc. is used for documents that are related to an earlier one, e.g. V.42 is modem error control, and V.42bis adds compression to that.

Building a “3 bis” house doesn’t mean you demolish “3”; V.42bis is not a replacement for V.42.

How “bis” got the idiosyncratic “replacement version of” meaning in IETF is unknown to me; I suspect that was simply trying to mimic (and mock, all the while misunderstanding) CCITT habit.

(Not quite internet-history material, but we might want to ask there anyway.)

Grüße, Carsten

> On 1. Sep 2021, at 18:54, Robert Sparks <[email-masked]> wrote:
> 
> Hi, those who read these specifications already know to expect detailed and dry documents, so presenting them right off the bat with an obscure term "bis" is not helpful. :-) A search on IETF shows no explanation of "bis" so you would do well to provide a note about "bis" meaning e.g. in the "About" page.
> 
> <Attached Message Part.txt>___________________________________________________________
> Tools-discuss mailing list - [email-masked]
> This list is for discussion, not for action requests or bug reports.
> * Report datatracker and mailarchive bugs to: [email-masked]
> * Report tools.ietf.org bugs to: [email-masked]
> * Report all other bugs or issues to: [email-masked]
> List info (including how to Unsubscribe): https://www.ietf.org/mailman/listinfo/tools-discuss

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 2 Sep 2021 11:20:12 +1200

> (Not quite internet-history material, but we might want to ask there anyway.)

The oldest relevant email I have is dated 25 May 1994 with subject "Re: 1602bis ready for review", sent to Lyman Chapin, who indeed also knew how the CCITT did things. So despite the astonishment in that StackOverflow debate, this is not exactly new terminology.

Also, https://www.merriam-webster.com/dictionary/bis . Does the IETF web site really need to replace a dictionary?

Regards
   Brian Carpenter

On 02-Sep-21 08:43, Carsten Bormann wrote:
>> Hi, those who read these specifications already know to expect detailed and dry documents, so presenting them right off the bat with an obscure 
term "bis" is not helpful. :-) A search on IETF shows no explanation of "bis" so you would do well to provide a note about "bis" meaning e.g. in the "About" page.
> ___________________________________________________________

---

From: Marc Petit-Huguenin <[email-masked]>
Date: Wed, 1 Sep 2021 16:35:37 -0700

Also, shouldn't the update of a bis be a ter?  So the draft that preceded RFC 8489 should have been rfc5389ter, but that still does not seem right.  rfc3489ter?

-- 
Marc Petit-Huguenin
Email: [email-masked]
Blog: https://marc.petit-huguenin.org
Profile: https://www.linkedin.com/in/petithug

---

From: Robert Sparks <[email-masked]>
Date: Wed, 1 Sep 2021 19:01:32 -0500

This is the updates conversation wearing a different skin. 

Sent from my iPhone

> On Sep 1, 2021, at 6:35 PM, Marc Petit-Huguenin <[email-masked]> wrote:
>

---

From: Greg M <[email-masked]>
Date: Fri, 3 Sep 2021 18:57:47 +0000

Thanks kindly for responses.

>> Also, shouldn't the update of a bis be a ter?
Perhaps not as important as simply defining, somewhere logical on the IETF site, the meaning of "bis" as used.

Greg McPherran

________________________________
From: Robert Sparks <[email-masked]>
Sent: Wednesday, September 1, 2021 8:01 PM
To: Marc Petit-Huguenin <[email-masked]>
Cc: Brian E Carpenter <[email-masked]>; Carsten Bormann <[email-masked]>; [email-masked] <[email-masked]>; tools-discuss <[email-masked]>
Subject: Re: [Tools-discuss] [django-project] "bis" in HTTP"bis"

Sent from my iPhone

>> Also, https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.merriam-webster.com%2Fdictionary%2Fbis&amp;data=04%7C01%7C%7C2bd8fcee38404dca45b208d96da4dc4a%7C84df9e7fe9f640afb435aaaaaaaaaaaa%7C1%7C0%7C637661377124901271%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=FtDn0DwLIfh7Xk6MzWRh9z8PDeCIDNtZMoOTsOM1kQI%3D&amp;reserved=0 . Does the IETF web site really need to replace a dictionary?
>> Regards
>>    Brian Carpenter
> Blog: https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fmarc.petit-huguenin.org%2F&amp;data=04%7C01%7C%7C2bd8fcee38404dca45b208d96da4dc4a%7C84df9e7fe9f640afb435aaaaaaaaaaaa%7C1%7C0%7C637661377124906249%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=R6G5I%2F0Q6srzoSzcHWUxK104WzpG5duOc%2BiOWgU413Y%3D&amp;reserved=0
> Profile: https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.linkedin.com%2Fin%2Fpetithug&amp;data=04%7C01%7C%7C2bd8fcee38404dca45b208d96da4dc4a%7C84df9e7fe9f640afb435aaaaaaaaaaaa%7C1%7C0%7C637661377124906249%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=I2Eq8M9MP48toludXRpgn6XggizUSt2z08oM9fNOi6g%3D&amp;reserved=0

---

From: Marc Petit-Huguenin <[email-masked]>
Date: Fri, 3 Sep 2021 15:11:40 -0700

> Perhaps not as important as simply defining, somewhere logical on the IETF site, the meaning of "bis" as used.

https://www.ietf.org/mailman/listinfo/tao-discuss

---

From: "John Levine" <[email-masked]>
Date: 3 Sep 2021 23:26:36 -0400

>> Perhaps not as important as simply defining, somewhere logical on the IETF site, the meaning of "bis" as used.

https://www.ietf.org/about/participate/tao/

Section 6.3 says:

  There are some informal rules for Internet-Draft naming that have
  evolved over the years. Internet-Drafts that revise existing RFCs
  often have draft names with "bis" in them, meaning "again" or "twice";
  for example, a draft might be called "draft-someone-rfc2345bis-00.txt".

---

From: Jay Daley <[email-masked]>
Date: Sat, 4 Sep 2021 17:45:44 +1200

> On 4/09/2021, at 7:09 AM, Greg M <[email-masked]> wrote:
> 

Easy enough to do.  We will look at it this week.  

Jay

-- 
Jay Daley
IETF Executive Director 
[email-masked]

---

From: Warren Kumari <[email-masked]>
Date: Tue, 7 Sep 2021 11:31:25 -0400

> site, the meaning of "bis" as used.
I've made a pull request to add the Tao text to the "Guidelines to Authors
of Internet-Drafts" repo. This is orthogonal to if it is added to the IETF
site.

Thanks,
W

> ------------------------------
> *From:* Robert Sparks <[email-masked]>
> *Sent:* Wednesday, September 1, 2021 8:01 PM
> *To:* Marc Petit-Huguenin <[email-masked]>
> *Cc:* Brian E Carpenter <[email-masked]>; Carsten Bormann <
> [email-masked]>; [email-masked] <[email-masked]>;
> tools-discuss <[email-masked]>
> *Subject:* Re: [Tools-discuss] [django-project] "bis" in HTTP"bis"
>
> > Also, shouldn't the update of a bis be a ter?  So the draft that
> preceded RFC 8489 should have been rfc5389ter, but that still does not seem
> right.  rfc3489ter?
> >
> >> The oldest relevant email I have is dated 25 May 1994 with subject "Re:
> 1602bis ready for review", sent to Lyman Chapin, who indeed also knew how
> the CCITT did things. So despite the astonishment in that StackOverflow
> debate, this is not exactly new terminology.
> >> Also,
> https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.merriam-webster.com%2Fdictionary%2Fbis&amp;data=04%7C01%7C%7C2bd8fcee38404dca45b208d96da4dc4a%7C84df9e7fe9f640afb435aaaaaaaaaaaa%7C1%7C0%7C637661377124901271%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=FtDn0DwLIfh7Xk6MzWRh9z8PDeCIDNtZMoOTsOM1kQI%3D&amp;reserved=0
> . Does the IETF web site really need to replace a dictionary?
> >> Regards
> >>    Brian Carpenter
> >>> Not sure this belongs on tools-discuss, but this is indeed an IETF
> idiosyncrasy that one needs to learn about.
> >>>
> >>> If we are not talking about US export controls, “bis” is used in house
> numbering in Romance languages the same way DE or EN would use “a”.
> >>> In CCITT (now ITU-T) standards (“recommendations”), bis, ter, etc. is
> used for documents that are related to an earlier one, e.g. V.42 is modem
> error control, and V.42bis adds compression to that.
> >>>
> >>> How “bis” got the idiosyncratic “replacement version of” meaning in
> IETF is unknown to me; I suspect that was simply trying to mimic (and mock,
> all the while misunderstanding) CCITT habit.
> >>>
> >>>> Hi, those who read these specifications already know to expect
> detailed and dry documents, so presenting them right off the bat with an
> obscure
> > Blog:
> https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fmarc.petit-huguenin.org%2F&amp;data=04%7C01%7C%7C2bd8fcee38404dca45b208d96da4dc4a%7C84df9e7fe9f640afb435aaaaaaaaaaaa%7C1%7C0%7C637661377124906249%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=R6G5I%2F0Q6srzoSzcHWUxK104WzpG5duOc%2BiOWgU413Y%3D&amp;reserved=0
> > Profile:
> https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.linkedin.com%2Fin%2Fpetithug&amp;data=04%7C01%7C%7C2bd8fcee38404dca45b208d96da4dc4a%7C84df9e7fe9f640afb435aaaaaaaaaaaa%7C1%7C0%7C637661377124906249%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=I2Eq8M9MP48toludXRpgn6XggizUSt2z08oM9fNOi6g%3D&amp;reserved=0
>
> List info (including how to Unsubscribe):
> https://www.ietf.org/mailman/listinfo/tools-discuss
>
> List info (including how to Unsubscribe):
> https://www.ietf.org/mailman/listinfo/tools-discuss
>

-- 
The computing scientist’s main challenge is not to get confused by the
complexities of his own making.
  -- E. W. Dijkstra